Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045280
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2020-10-22 14:062020-10-30 09:32
ReporterazabaletaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in VersionRR21Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression levelProduction - QA Approved
Regression date
Regression introduced in releaseRR20Q3
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045280: Only 300 product categories are charged in WebPOS in 20Q3.2

DescriptionSeems that there is a criteria in the code that hardcodes a limit of 300 categories when charging masterdata in WebPOS
Steps To ReproduceCreate 2000 product categories with products linked
Login in WebPOS
See that many of the 2000 categories are not present
Proposed SolutionAttached a photo of the criteria where the limit is. The proposed solution is to enable an "override" of this limit
TagsNo tags attached.
Attached Filespng file icon Selection_139.png [^] (141,061 bytes) 2020-10-22 14:06

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0045289RR20Q4 closedranjith_qualiantech_com Only 300 product categories are charged in WebPOS in 20Q3.2 
depends on backport 0045290RR20Q3.2 closedranjith_qualiantech_com Only 300 product categories are charged in WebPOS in 20Q3.2 

-  Notes
(0123965)
hgbot (developer)
2020-10-28 07:51

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/93 [^]
(0124055)
hgbot (developer)
2020-10-30 09:32

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: e6586b0072bc62c524cc7f6c4cce078649bde4ed
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-10-30T08:32:23+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/e6586b0072bc62c524cc7f6c4cce078649bde4ed [^]

Fixed ISSUE-45280: Added limit to ProductCateogry Masterdata query

---
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-product-browser.js
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-searchproductcharacteristic.js
---
(0124056)
hgbot (developer)
2020-10-30 09:32

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/93 [^]

- Issue History
Date Modified Username Field Change
2020-10-22 14:06 azabaleta New Issue
2020-10-22 14:06 azabaleta Assigned To => Retail
2020-10-22 14:06 azabaleta File Added: Selection_139.png
2020-10-22 14:06 azabaleta Triggers an Emergency Pack => No
2020-10-22 14:06 azabaleta Issue Monitored: azabaleta
2020-10-22 14:07 marvintm Regression level => Production - QA Approved
2020-10-22 14:07 marvintm Regression introduced in release => RR20Q3
2020-10-22 16:08 marvintm Status new => scheduled
2020-10-26 14:44 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-10-28 07:51 hgbot Note Added: 0123965
2020-10-30 09:32 hgbot Resolution open => fixed
2020-10-30 09:32 hgbot Status scheduled => closed
2020-10-30 09:32 hgbot Fixed in Version => RR21Q1
2020-10-30 09:32 hgbot Note Added: 0124055
2020-10-30 09:32 hgbot Note Added: 0124056


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker